Bug 824329 - Banshee stops playing after closing
Banshee stops playing after closing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 05:51 EDT by Artyom Kunyov
Modified: 2012-06-19 11:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 05:21:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artyom Kunyov 2012-05-23 05:51:48 EDT
Description of problem:

It stops playing when I close the window.
I have "Notification Icon" extension enabled, but there's no icon in tray. Here is what terminal shows: http://pastebin.com/e0GSVwCC

Version-Release number of selected component (if applicable):

It started happening after upgrading from F16 using Preupgrade. I've tried to remove packages and configs, but it didn't help.

How reproducible: always

Just open Banshee, start playing something and close the window.
Comment 1 Artyom Kunyov 2012-05-27 05:44:13 EDT
I've tried to reproduce this bug on a clean F17 install - the problem still persists. It doesn't depend on DE you use, there is no tray icon in Xfce as well.
Comment 2 Artyom Kunyov 2012-05-29 11:07:01 EDT
Just a few minutes ago I downloaded both i686 and x86_64 final images and found out that this bug is not reproducible in i686 build but still present in x86_64 one.
Comment 3 Christian Krause 2012-06-04 19:17:46 EDT
I can confirm the problem. 

Most likely this is a bug in the notify-sharp package. notify-sharp.dll is not correctly installed in the GAC (the GAC is now located in /usr/lib/mono even for the x86_64 architecture). I will provide a new package within the next days.
Comment 4 Fedora Update System 2012-06-10 18:12:45 EDT
ndesk-dbus-0.6.1a-11.fc17,ndesk-dbus-glib-0.4.1-12.fc17,notify-sharp-0.4.0-0.18.20100411svn.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ndesk-dbus-0.6.1a-11.fc17,ndesk-dbus-glib-0.4.1-12.fc17,notify-sharp-0.4.0-0.18.20100411svn.fc17
Comment 5 Fedora Update System 2012-06-11 20:26:08 EDT
Package ndesk-dbus-0.6.1a-11.fc17, ndesk-dbus-glib-0.4.1-12.fc17, notify-sharp-0.4.0-0.18.20100411svn.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ndesk-dbus-0.6.1a-11.fc17 ndesk-dbus-glib-0.4.1-12.fc17 notify-sharp-0.4.0-0.18.20100411svn.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9251/ndesk-dbus-0.6.1a-11.fc17,ndesk-dbus-glib-0.4.1-12.fc17,notify-sharp-0.4.0-0.18.20100411svn.fc17
then log in and leave karma (feedback).
Comment 6 Artyom Kunyov 2012-06-12 05:21:16 EDT
The latest update fixes this bug, but Banshee is shown as "notify-sharp", not "Banshee" in notification area.
Comment 7 Fedora Update System 2012-06-19 11:05:48 EDT
ndesk-dbus-0.6.1a-11.fc17, ndesk-dbus-glib-0.4.1-12.fc17, notify-sharp-0.4.0-0.18.20100411svn.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.